// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$refundId = '180925566';
$response = $api->Refunds->Get($refundId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myRefund = {
Id: '180925566',
}
const viewRefund = async (refundId) => {
return await mangopay.Refunds.get(refundId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewRefund(myRefund.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewRefund(refundId)
begin
response = MangoPay::Refund.fetch(refundId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Refund: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myRefund = {
Id: '180925566'
}
viewRefund(myRefund[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
public class ViewRefund {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var refundId = "refund_m_01J2BZ8BBT3GV20FZES1B5Z7TM";
Refund viewRefund = mangopay.getRefundApi().get(refundId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRefund);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Refund
refund_id = '214572035'
try:
view_refund = Refund.get(refund_id)
pprint(vars(view_refund))
except Refund.DoesNotExist:
print('The Refund {} does not exist.'.format(view_refund.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewRefund = await api.Refunds.GetAsync("refund_m_01J3ZJ85JAQBYTJ8SBD8ZYNBV2");
string prettyPrint = JsonConvert.SerializeObject(viewRefund, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "refund_m_01JJ23MDDHCXX1GYVKDPYNJKJ8",
"Tag": "Example with fees refunded",
"CreationDate": 1730373612,
"AuthorId": "user_m_01JJ23MPT0Y79AFQA637ZK81CF",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 550
},
"Fees": {
"Currency": "EUR",
"Amount": -50
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1730373612,
"Type": "PAYOUT",
"Nature": "REFUND",
"InitialTransactionId": "payin_m_01JJ23NT128Y1V1B5B16VKMQ92",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ23NKD34XA6G4N70ZFKFH5W",
"CreditedWalletId": null,
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "INITIALIZED_BY_CLIENT"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ24GYE8X6MMSR26F0A2VRR9",
"Tag": "Example with fees taken",
"CreationDate": 1737386006,
"AuthorId": "user_m_01JJ24H7HV1H38GRCCY4Q8ZR85",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1900
},
"Fees": {
"Currency": "EUR",
"Amount": 100
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737386006,
"Type": "TRANSFER",
"Nature": "REFUND",
"InitialTransactionId": "xfer_m_01JJ24NTCVFSPH5TK453Y623HF",
"InitialTransactionType": "TRANSFER",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ24P7QXT0W0F917DXNQF49S",
"CreditedWalletId": "wlt_m_01JJ24PH51DAJR2H63BDCHSN84",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ",
"RefundReason": {
"RefundReasonMessage": "AC04",
"RefundReasonType": "BANKACCOUNT_HAS_BEEN_CLOSED"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22PR01NMY4M8HXB3AW6KG7",
"Tag": null,
"CreationDate": 1737367609,
"AuthorId": "user_m_01JJ22Q2A0NXNK26B67BD1MP4R",
"CreditedUserId": "your-mangopay-client-id",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737367609,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "repud_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REPUDIATION",
"DebitedWalletId": null,
"CreditedWalletId": "CREDIT_EUR",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
Refunds
View a Refund
GET
/
v2.01
/
{ClientId}
/
refunds
/
{RefundId}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$refundId = '180925566';
$response = $api->Refunds->Get($refundId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myRefund = {
Id: '180925566',
}
const viewRefund = async (refundId) => {
return await mangopay.Refunds.get(refundId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewRefund(myRefund.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewRefund(refundId)
begin
response = MangoPay::Refund.fetch(refundId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Refund: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myRefund = {
Id: '180925566'
}
viewRefund(myRefund[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
public class ViewRefund {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var refundId = "refund_m_01J2BZ8BBT3GV20FZES1B5Z7TM";
Refund viewRefund = mangopay.getRefundApi().get(refundId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRefund);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Refund
refund_id = '214572035'
try:
view_refund = Refund.get(refund_id)
pprint(vars(view_refund))
except Refund.DoesNotExist:
print('The Refund {} does not exist.'.format(view_refund.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewRefund = await api.Refunds.GetAsync("refund_m_01J3ZJ85JAQBYTJ8SBD8ZYNBV2");
string prettyPrint = JsonConvert.SerializeObject(viewRefund, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "refund_m_01JJ23MDDHCXX1GYVKDPYNJKJ8",
"Tag": "Example with fees refunded",
"CreationDate": 1730373612,
"AuthorId": "user_m_01JJ23MPT0Y79AFQA637ZK81CF",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 550
},
"Fees": {
"Currency": "EUR",
"Amount": -50
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1730373612,
"Type": "PAYOUT",
"Nature": "REFUND",
"InitialTransactionId": "payin_m_01JJ23NT128Y1V1B5B16VKMQ92",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ23NKD34XA6G4N70ZFKFH5W",
"CreditedWalletId": null,
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "INITIALIZED_BY_CLIENT"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ24GYE8X6MMSR26F0A2VRR9",
"Tag": "Example with fees taken",
"CreationDate": 1737386006,
"AuthorId": "user_m_01JJ24H7HV1H38GRCCY4Q8ZR85",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1900
},
"Fees": {
"Currency": "EUR",
"Amount": 100
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737386006,
"Type": "TRANSFER",
"Nature": "REFUND",
"InitialTransactionId": "xfer_m_01JJ24NTCVFSPH5TK453Y623HF",
"InitialTransactionType": "TRANSFER",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ24P7QXT0W0F917DXNQF49S",
"CreditedWalletId": "wlt_m_01JJ24PH51DAJR2H63BDCHSN84",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ",
"RefundReason": {
"RefundReasonMessage": "AC04",
"RefundReasonType": "BANKACCOUNT_HAS_BEEN_CLOSED"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22PR01NMY4M8HXB3AW6KG7",
"Tag": null,
"CreationDate": 1737367609,
"AuthorId": "user_m_01JJ22Q2A0NXNK26B67BD1MP4R",
"CreditedUserId": "your-mangopay-client-id",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737367609,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "repud_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REPUDIATION",
"DebitedWalletId": null,
"CreditedWalletId": "CREDIT_EUR",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
Note – Refund data retained for 13 monthsThe API retains all transaction objects for 13 months from
CreationDate. This applies to refunds and the initial transaction linked to a refund.A call to retrieve the initial transaction of a refund, based on the refund’s InitialTransactionId, may return a 404 Not Found if it occurred more than 13 months ago.For more information, see the Data availability periods article.Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the initial transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Default value: The amount and currency values of the debited funds of the initial transaction.Information about the debited funds. Debited funds:
- Takes by default the amount and currency values of the initial transaction when left empty.
- Must be entered manually to perform a partial refund.
- Cannot exceed the initial transaction
CreditedFundsvalue when entered manually. This also applies to the sum of debited funds when making multiple partial refunds.
Show properties
Show properties
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Default value: The amount and currency values of the fees of the initial transaction.Information about the fees. This value:
- Should be preceded by a minus sign (-) to refund the fees, otherwise more fees will be taken.
- Takes by default the amount and currency values of the fees of the initial transaction when left empty (preceded by a -).
- Cannot exceed the initial transaction fees amount when entered manually. This also applies to the sum of the amount of the fees when making multiple partial refunds.
Show properties
Show properties
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the initial transaction being refunded.
string
Returned values:
PAYIN, TRANSFER, PAYOUTThe type of the initial transaction being refunded.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the initial transaction being refunded, providing more information about the context in which the transaction occurred:- REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
- REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user requested a chargeback).
- REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
- SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle the credit from a repudiation following a lost dispute.
string
The unique identifier of the debited wallet.
string
The unique identifier of the credited wallet.
object
Information about the reasons for the refund.
Show properties
Show properties
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.Note: On refunds, the
StatementDescriptor is only available for SEPA and BACS direct debit pay-ins (no other payment methods nor transfers).{
"Id": "refund_m_01JJ23MDDHCXX1GYVKDPYNJKJ8",
"Tag": "Example with fees refunded",
"CreationDate": 1730373612,
"AuthorId": "user_m_01JJ23MPT0Y79AFQA637ZK81CF",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 550
},
"Fees": {
"Currency": "EUR",
"Amount": -50
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1730373612,
"Type": "PAYOUT",
"Nature": "REFUND",
"InitialTransactionId": "payin_m_01JJ23NT128Y1V1B5B16VKMQ92",
"InitialTransactionType": "PAYIN",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ23NKD34XA6G4N70ZFKFH5W",
"CreditedWalletId": null,
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "INITIALIZED_BY_CLIENT"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ24GYE8X6MMSR26F0A2VRR9",
"Tag": "Example with fees taken",
"CreationDate": 1737386006,
"AuthorId": "user_m_01JJ24H7HV1H38GRCCY4Q8ZR85",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1900
},
"Fees": {
"Currency": "EUR",
"Amount": 100
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737386006,
"Type": "TRANSFER",
"Nature": "REFUND",
"InitialTransactionId": "xfer_m_01JJ24NTCVFSPH5TK453Y623HF",
"InitialTransactionType": "TRANSFER",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": "wlt_m_01JJ24P7QXT0W0F917DXNQF49S",
"CreditedWalletId": "wlt_m_01JJ24PH51DAJR2H63BDCHSN84",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22Z1JGMFEHB5P4B5DZ8CCQ",
"Tag": null,
"CreationDate": 1734628083,
"AuthorId": "user_m_01JJ22ZEP6JQQ5KMBPHBGYFQBG",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 12000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1734628084,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "po_m_01JJ2303Q94M2SNSFEX4M3W3N0",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REGULAR",
"DebitedWalletId": null,
"CreditedWalletId": "wlt_m_01JJ230JF16SKNVFR2FRPHEZWZ",
"RefundReason": {
"RefundReasonMessage": "AC04",
"RefundReasonType": "BANKACCOUNT_HAS_BEEN_CLOSED"
},
"StatementDescriptor": null
}
{
"Id": "refund_m_01JJ22PR01NMY4M8HXB3AW6KG7",
"Tag": null,
"CreationDate": 1737367609,
"AuthorId": "user_m_01JJ22Q2A0NXNK26B67BD1MP4R",
"CreditedUserId": "your-mangopay-client-id",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 13000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1737367609,
"Type": "PAYIN",
"Nature": "REFUND",
"InitialTransactionId": "repud_m_01JJ22HPJ8Y0E4YW7D9XR96WZY",
"InitialTransactionType": "PAYOUT",
"InitialTransactionNature": "REPUDIATION",
"DebitedWalletId": null,
"CreditedWalletId": "CREDIT_EUR",
"RefundReason": {
"RefundReasonMessage": null,
"RefundReasonType": "OTHER"
},
"StatementDescriptor": null
}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$refundId = '180925566';
$response = $api->Refunds->Get($refundId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myRefund = {
Id: '180925566',
}
const viewRefund = async (refundId) => {
return await mangopay.Refunds.get(refundId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewRefund(myRefund.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewRefund(refundId)
begin
response = MangoPay::Refund.fetch(refundId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Refund: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myRefund = {
Id: '180925566'
}
viewRefund(myRefund[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Refund;
public class ViewRefund {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var refundId = "refund_m_01J2BZ8BBT3GV20FZES1B5Z7TM";
Refund viewRefund = mangopay.getRefundApi().get(refundId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewRefund);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import Refund
refund_id = '214572035'
try:
view_refund = Refund.get(refund_id)
pprint(vars(view_refund))
except Refund.DoesNotExist:
print('The Refund {} does not exist.'.format(view_refund.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewRefund = await api.Refunds.GetAsync("refund_m_01J3ZJ85JAQBYTJ8SBD8ZYNBV2");
string prettyPrint = JsonConvert.SerializeObject(viewRefund, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?